### Method

# GtkVnc Display set_credential

#### Declaration [src]

    gboolean
    vnc_display_set_credential (
      VncDisplay* obj,
      int type,
      const gchar* data
    )

#### Description [src]

Sets the value of the authentication credential `type` to the string `data`.

`type` is one of the VncConnectionCredential enum vlaues.

#### Parameters

`type`

  Type: `int`

  The authentication credential type.

`data`

  Type: `const gchar*`

  The value associated with the credential.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if an error occurs, FALSE otherwise.